2019-11-15 14:47 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000854Spring engineGeneralpublic2008-02-23 20:38
Reporteracidd_uk 
Assigned ToKloot 
PrioritynormalSeveritycrashReproducibilitysometimes
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000854: Spring crashes when '/luaui reload' is used to reload luaui after it crashes
DescriptionAs summary - seems to happen about 50% of the time for me when restarting luaui. Hopefully the attached infolog is useful....
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files
  • txt file icon infolog.txt (17,551 bytes) 2008-02-16 13:28 -
    txt file icon infolog.txt (17,551 bytes) 2008-02-16 13:28 +
  • txt file icon infolog2.txt (14,465 bytes) 2008-02-21 00:12 -
    Using script script.txt
    SDL:  1.2.10
    GL:   2.1.2
    GL:   NVIDIA Corporation
    GL:   GeForce 8800 GTS/PCI/SSE2
    GLEW: 1.4.0
    Section game\mapoptions missing in file buffer
    Section game\modoptions missing in file buffer
    Connecting to server
    Connected to 91.89.163.94:9999 using number 7
    Using script Commanders
    Map: DeltaSiegeDry.smf
    Mod: "Balanced Annihilation V6.1" from BA61.sd7
    Connecting to server .
    Connecting to server  
    Connecting to server .
    Connecting to server  
    Loading all definitions:  0.490000
    Opening map file
    Loading Map
    Loading detail textures
    Creating overhead texture
    Creating ground shading
    Loading tile file
    Reading tiles
    Reading tile map
    Creating projectile texture
    Number of damage types: 42
    Loading weapon definitions
    Loading unit definitions
    Loading feature definitions
    Generating trees
    Parsing unit icons
    Creating unit textures
    Initializing map features
    Couldnt find wreckage info 
    Unknown map feature type 
    Reading estimate path costs
    Creating sky
    Loading LuaCOB
    Loading LuaRules
    Failed to load: unit_direct_control.lua  ([string "LuaRules/Gadgets/unit_direct_control.lua"]:42: '}' expected (to close '{' at line 40) near 'UnitDefNames')
    LUARULES-MAIN  (GADGETS)
    Failed to load: unit_direct_control.lua  ([string "LuaRules/Gadgets/unit_direct_control.lua"]:42: '}' expected (to close '{' at line 40) near 'UnitDefNames')
    LUARULES-DRAW  (GADGETS)
    Loading LuaGaia
    Finalizing...
    Spring 0.76b1
    Reloaded ctrlpanel with: LuaUI/ctrlpanel.txt
    LuaUI: bound F11 to the widget selector
    LuaUI: bound CTRL+F11 to tweak mode
    Failed to load: unit_healthbars.lua  (duplicate name)
    ahoj
    Loaded widget:  MexUpg Helper       <helper.lua>
    Loaded widget:  HealthBars          <unit_healthbars.lua>
    Reloaded ctrlpanel with: LuaUI/Configs/ctrlpanel.txt
    Loaded widget:  BA Layout           <gui_ba_layout.lua>
    Loaded widget:  DGunLimit           <gui_limit_dgun.lua>
    Loaded widget:  BuildBar            <unit_buildbar.lua>
    Loaded widget:  Defense Range v3.4  <gui_defenserange.lua>
    Loaded widget:  DoLine              <cmd_doline.lua>
    Sorting roster by Allies
    Loaded widget:  IceUI               <gui_IceUI.lua>
    Loaded widget:  MetalMakers         <unit_metal_maker.lua>
    Loaded widget:  ImmobileBuilder     <unit_immobile_buider.lua>
    Loaded widget:  ReclaimInfo         <gui_reclaiminfo.lua>
    Loaded widget:  MiniMap Start Boxes  <minimap_startbox.lua>
    Loaded widget:  Start Point Remover  <init_start_point_remover.lua>
    Loaded widget:  Select n Center!    <gui_center_n_select.lua>
    Loaded widget:  LupsManager         <gfx_lups_manager.lua>
    Loaded widget:  Lups                <lups_wrapper.lua>
    Loaded widget:  CustomFormations    <unit_customformations.lua>
    LuaUI v0.2
    Client connected on slot 7
    Client connected on slot 2
    Client connected on slot 9
    Client connected on slot 6
    Client connected on slot 5
    Client connected on slot 14
    Client connected on slot 1
    Client connected on slot 10
    Player panthere_noire joined as 11
    Upgrade pairs registered
    Player [UoY]Acidd_UK joined as 7
    Player Gaxx joined as 6
    Player [SKH]XCrist joined as 4
    Player [BLC]Stalag_13 joined as 0
    Player [SKH]PussyCat joined as 2
    Player mihaok83 joined as 12
    Player eldusole joined as 8
    [UoY]Acidd_UK added point: Start 6
    Player [BR]rafaeld joined as 3
    Player giovform joined as 1
    Player [WL]floper joined as 5
    mihaok83 added point: Start 11
    mihaok83 added point: Start 11
    [BR]rafaeld added point: Start 2
    [WL]floper added point: Start 4
    [WL]floper added point: Start 4
    mihaok83 added point: Start 11
    [WL]floper added point: Start 4
    [WL]floper added point: Start 4
    mihaok83 added point: Start 11
    Player gaou joined as 14
    [BR]rafaeld added point: Start 2
    [WL]floper added point: Start 4
    [BR]rafaeld added point: Start 2
    [BR]rafaeld added point: Start 2
    [BR]rafaeld added point: Start 2
    [BR]rafaeld added point: Start 2
    [WL]floper added point: Start 4
    [WL]floper added point: Start 4
    [BR]rafaeld added point: Start 2
    Player Attrition[CA] joined as 9
    [BR]rafaeld added point: Start 2
    [BR]rafaeld added point: Start 2
    eldusole added point: Start 7
    Attrition[CA] added point: Start 8
    Attrition[CA] added point: Start 8
    <[WL]floper> !ring
    [[BLC]Stalag_13] ringing all unready
    Player yosemite joined as 10
    Player JMF joined as 13
    <Attrition[CA]> stop fucking ringing
    <Attrition[CA]> ugh
    <[BR]rafaeld> ring
    <[UoY]Acidd_UK> shut up fucking ringing constantly
    gaou added point: Start 13
    <[BR]rafaeld> !ring
    [[BLC]Stalag_13] ringing all unready
    <[WL]floper> !ring
    [[BLC]Stalag_13] antispam - please wait 5 more seconds
    <Gaxx> ringing in game rings everyone ready or not. don't bother.
    <[WL]floper> !ring
    [[BLC]Stalag_13] ringing all unready
    <[BR]rafaeld> !noCrash
    [[BLC]Stalag_13] sorry, i don#t know command #nocrash#
    <Attrition[CA]> !votekick [WL]floper
    [[BLC]Stalag_13] do you want to kick 8wl9floper 1vote 1 0 yes, 1vote 2 0 no
    <[UoY]Acidd_UK> !votekick [BR]rafaeld
    [[BLC]Stalag_13] another poll already in progress, please wait
    <[WL]floper> !vote 2
    [[BLC]Stalag_13] option 2 has 1 of 8 votes
    <Gaxx> !vote 1
    [[BLC]Stalag_13] option 1 has 1 of 8 votes
    <[BR]rafaeld> !ring
    [[BLC]Stalag_13] ringing all unready
    <[UoY]Acidd_UK> !vote 1
    [[BLC]Stalag_13] option 1 has 2 of 8 votes
    <[BR]rafaeld> !vote 2
    [[BLC]Stalag_13] option 2 has 2 of 8 votes
    GameID: ffafbc4798fbd24d738cd44046155363
    Speed set to 0.8 [mihaok83]
    Speed set to 1.0 [mihaok83]
    <[UoY]Acidd_UK> Allies:  ok what shall i do this time?!
    <Attrition[CA]> Allies:  atlases aren't bad if one person makes em
    <Attrition[CA]> Allies:  we can push more aggresively with
    <Attrition[CA]> Allies:  them
    <[UoY]Acidd_UK> Allies:  want me to do air again?
    Buildings set to face East
    Buildings set to face North
    [[BLC]Stalag_13] not enough votes
    <mihaok83> Allies:  help me in front - I'm alone
    <Attrition[CA]> Allies:  that's gaou's job
    [BR]rafaeld added point: 
    [BR]rafaeld added point: 
    [BR]rafaeld added point: 
    [BR]rafaeld added point: 
    Attrition[CA] added point: fail
    [BR]rafaeld added point: 
    [BR]rafaeld added point: 
    [BR]rafaeld added point: 
    Attrition[CA] added point: fail
    [BR]rafaeld added point: 
    Attrition[CA] added point: fail
    [BR]rafaeld added point: 
    [BR]rafaeld added point: 
    [BR]rafaeld added point: 
    [BR]rafaeld added point: 
    [BR]rafaeld added point: 
    <Attrition[CA]> ok it's 6v5
    <[UoY]Acidd_UK> Allies:  sweet jesus
    [BR]rafaeld added point: OOB
    <Attrition[CA]> we have a moron on our team
    <Attrition[CA]> Allies:  dgun him
    <mihaok83> rafael - stop spamming
    [BR]rafaeld added point: NOOB
    <Attrition[CA]> Allies:  acidd comnap him
    <Attrition[CA]> Allies:  lol
    <[WL]floper> Allies:  stop that
    <[WL]floper> there is no moron, map is too little for our number
    <Attrition[CA]> floper
    <[WL]floper> yes?
    <[BR]rafaeld> 7vs6 FUCK NOOB
    <Attrition[CA]> there's a specific spot where he should of started
    <Attrition[CA]> he didn't
    <Attrition[CA]> he didn't even move there
    <[SKH]PussyCat> .take
    [UoY]Acidd_UK added point: `here
    <[WL]floper> not a reason to say what u said ;)
    [UoY]Acidd_UK added point: ```stop a sec i will place u
    <Attrition[CA]> Yes, it is
    [UoY]Acidd_UK added point: porc here
    [UoY]Acidd_UK added point: 
    [BR]rafaeld added point: WARNING NOOB HERE
    Buildings set to face West
    Buildings set to face South
    Attrition[CA] added point: ```bomb here
    Buildings set to face East
    Buildings set to face North
    Buildings set to face West
    Buildings set to face South
    [UoY]Acidd_UK added point: make a lab
    Metal Extractor is being attacked
    [UoY]Acidd_UK added point: 
    Attrition[CA] added point: repair lol
    [BR]rafaeld added point: 3vs1
    [WL]floper added point: *
    [WL]floper added point: **
    <[WL]floper> *
    [WL]floper added point: 
    [BR]rafaeld added point: DO KBOST
    <[BR]rafaeld> Allies: FUCK  NOOB ECO
    [BR]rafaeld added point: UCK ECO
    <mihaok83> Allies:  retreating - can't hold alone
    [UoY]Acidd_UK added point: hosdtile
    [WL]floper added point: *
    <[WL]floper> we ve a fucking idiot on our team
    <[WL]floper> mate u will no more play spring
    <[WL]floper> DID U SEE THAT IDIOT?
    [UoY]Acidd_UK added point: hlt
    [BR]rafaeld added point: NICE ECO
    <[BR]rafaeld> Allies: GOOD TEAM WORK
    Attrition[CA] added point: FAIL.
    [UoY]Acidd_UK added point: ? what happened?
    <[BR]rafaeld> Allies: noob dgun
    <[WL]floper> Allies:  lol
    <mihaok83> Allies:  I lost front
    <[BR]rafaeld> Allies: floper
    <[WL]floper> Allies:  byebye on taspring mate, u can believe it mate
    <Attrition[CA]> Allies:  comin
    No response from gaou for frame 17981
    Team11 (mihaok83) has bowed out
    No response from JMF, gaou for frame 18382
    Lost connection to JMF
    Lost connection to player 13 (timeout)
    Lost connection to gaou
    Lost connection to player 14 (timeout)
    A.K. is being attacked
    A.K.: Can't reach destination!
    A.K.: Can't reach destination!
    A.K.: Can't reach destination!
    A.K.: Can't reach destination!
    A.K.: Can't reach destination!
    A.K. is being attacked
    A.K.: Can't reach destination!
    <Gaxx> ak spam ftw! :D
    A.K. is being attacked
    [[BLC]Stalag_13] jmf has left lobby
    [[BLC]Stalag_13] gaou has left lobby
    A.K.: Can't reach destination!
    A.K.: Can't reach destination!
    A.K.: Can't reach destination!
    <Attrition[CA]> Allies:  gg.
    <Attrition[CA]> Allies:  we lose so I'll just failspam
    Spectator mihaok83 left
    Lost connection to mihaok83
    Lost connection to player 12 (timeout)
    eldusole added point: ****
    [[BLC]Stalag_13] mihaok83 has left lobby
    Gaat Gun is being attacked
    <Attrition[CA]> Allies:  give me an atlas please.
    <Attrition[CA]> Allies:  best thing I can do is combomb down here
    <Attrition[CA]> Allies:  we totally lost south
    Gaat Gun is being attacked
    Gaat Gun is being attacked
    Storm is being attacked
    A.K. is being attacked
    A.K. is being attacked
    Storm is being attacked
    Storm is being attacked
    A.K. is being attacked
    Storm is being attacked
    Storm is being attacked
    A.K. is being attacked
    A.K. is being attacked
    Gaat Gun is being attacked
    Gaat Gun is being attacked
    [WL]floper added point: *****LOOK
    Raider is being attacked
    <[BR]rafaeld> Allies: I help u
    Raider is being attacked
    Error in Shutdown()
    false
    Error in Shutdown(): [string "LuaUI\Widgets\gui_IceUI.lua"]:916: attempt to call global 'n' (a nil value)
    Removed widget: IceUI
    LuaUI::RunCallIn: error = 2, DrawScreen, [string "LuaUI/widgets.lua"]:663: attempt to call global 'n' (a nil value)
    LuaUI::RunCallIn: error = 2, GameFrame, [string "LuaUI/widgets.lua"]:1429: attempt to call global 'n' (a nil value)
    LuaUI::RunCallIn: error = 2, UnitCmdDone, [string "LuaUI/widgets.lua"]:1553: attempt to call global 'n' (a nil value)
    LuaUI::RunCallIn: error = 2, UnitCmdDone, [string "LuaUI/widgets.lua"]:1553: attempt to call global 'n' (a nil value)
    LuaUI::RunCallIn: error = 2, UnitCmdDone, [string "LuaUI/widgets.lua"]:1553: attempt to call global 'n' (a nil value)
    LuaUI::RunCallIn: error = 2, UnitCmdDone, [string "LuaUI/widgets.lua"]:1553: attempt to call global 'n' (a nil value)
    LuaUI::RunCallIn: error = 2, AddConsoleLine, [string "LuaUI/widgets.lua"]:1085: attempt to call global 'n' (a nil value)
    LuaUI::RunCallIn: error = 2, Update, [string "LuaUI/widgets.lua"]:1025: attempt to call global 'n' (a nil value)
    5 errors deep in LuaUI, disabling...
    5 errors deep in LuaUI, disabling...
    5 errors deep in LuaUI, disabling...
    5 errors deep in LuaUI, disabling...
    5 errors deep in LuaUI, disabling...
    5 errors deep in LuaUI, disabling...
    5 errors deep in LuaUI, disabling...
    5 errors deep in LuaUI, disabling...
    5 errors deep in LuaUI, disabling...
    5 errors deep in LuaUI, disabling...
    5 errors deep in LuaUI, disabling...
    5 errors deep in LuaUI, disabling...
    5 errors deep in LuaUI, disabling...
    5 errors deep in LuaUI, disabling...
    5 errors deep in LuaUI, disabling...
    5 errors deep in LuaUI, disabling...
    5 errors deep in LuaUI, disabling...
    5 errors deep in LuaUI, disabling...
    5 errors deep in LuaUI, disabling...
    5 errors deep in LuaUI, disabling...
    5 errors deep in LuaUI, disabling...
    5 errors deep in LuaUI, disabling...
    5 errors deep in LuaUI, disabling...
    5 errors deep in LuaUI, disabling...
    5 errors deep in LuaUI, disabling...
    5 errors deep in LuaUI, disabling...
    5 errors deep in LuaUI, disabling...
    5 errors deep in LuaUI, disabling...
    5 errors deep in LuaUI, disabling...
    5 errors deep in LuaUI, disabling...
    5 errors deep in LuaUI, disabling...
    5 errors deep in LuaUI, disabling...
    LuaUI::RunCallIn: error = 2, Shutdown, [string "LuaUI/widgets.lua"]:234: attempt to call global 'n' (a nil value)
    Disabled LuaUI
    Type '/luaui reload' in the chat to reenable LuaUI.
    ===>>>  Please report this error to the forum or mantis with your infolog.txt
    No response from panthere_noire for frame 27586
    /luaui reload
    Loading: "gui.lua"
    Reloaded ctrlpanel with: LuaUI/ctrlpanel.txt
    LuaUI: bound F11 to the widget selector
    LuaUI: bound CTRL+F11 to tweak mode
    Failed to load: unit_healthbars.lua  (duplicate name)
    ahoj
    Loaded widget:  MexUpg Helper       <helper.lua>
    Loaded widget:  HealthBars          <unit_healthbars.lua>
    LuaUI::RunCallIn: error = 2, LayoutButtons, [string "LuaUI/layout.lua"]:113: attempt to perform arithmetic on global 'activePage' (a nil value)
    LuaUI::RunCallIn: error = 2, LayoutButtons, [string "LuaUI/layout.lua"]:113: attempt to perform arithmetic on global 'activePage' (a nil value)
    LuaUI::RunCallIn: error = 2, LayoutButtons, [string "LuaUI/layout.lua"]:113: attempt to perform arithmetic on global 'activePage' (a nil value)
    LuaUI::RunCallIn: error = 2, LayoutButtons, [string "LuaUI/layout.lua"]:113: attempt to perform arithmetic on global 'activePage' (a nil value)
    LuaUI::RunCallIn: error = 2, LayoutButtons, [string "LuaUI/layout.lua"]:113: attempt to perform arithmetic on global 'activePage' (a nil value)
    LuaUI::RunCallIn: error = 2, LayoutButtons, [string "LuaUI/layout.lua"]:113: attempt to perform arithmetic on global 'activePage' (a nil value)
    LuaUI::RunCallIn: error = 2, LayoutButtons, [string "LuaUI/layout.lua"]:113: attempt to perform arithmetic on global 'activePage' (a nil value)
    LuaUI::RunCallIn: error = 2, LayoutButtons, [string "LuaUI/layout.lua"]:113: attempt to perform arithmetic on global 'activePage' (a nil value)
    LuaUI::RunCallIn: error = 2, LayoutButtons, [string "LuaUI/layout.lua"]:113: attempt to perform arithmetic on global 'activePage' (a nil value)
    Reloaded ctrlpanel with: LuaUI/ctrlpanel.txt
    
    txt file icon infolog2.txt (14,465 bytes) 2008-02-21 00:12 +

-Relationships
+Relationships

-Notes

~0001978

Kloot (developer)

Has been fixed by eriatarka, see:

http://spring.clan-sy.com/phpbb/viewtopic.php?t=13900
+Notes

-Issue History
Date Modified Username Field Change
2008-02-16 13:28 acidd_uk New Issue
2008-02-16 13:28 acidd_uk File Added: infolog.txt
2008-02-21 00:12 acidd_uk File Added: infolog2.txt
2008-02-23 20:37 Kloot Note Added: 0001978
2008-02-23 20:38 Kloot Status new => resolved
2008-02-23 20:38 Kloot Resolution open => fixed
2008-02-23 20:38 Kloot Assigned To => Kloot
+Issue History